# host

DNS lookup

Syntax

    host [-i] [-a] <hostname>

Description
Starts a DNS lookup for the <hostname> and prints the results in the current window. The -i switch causes the command to execute in IpV6 mode (and lookup ONLY IpV6 hosts!). The -a switch causes the command to run in "unspecified" mode and return any available address: IpV4 or Ipv6. This command also performs reverse lookups (if you pass an IP address as <hostname>).
Examples

    host localhost
    host irc.flashnet.it
    host -i irc.flashnet.it
    host -i A0E0:FFFF:::1010:1111:E0E0:A0A0
    host -a 127.0.0.1
    host 255.41.31.23
    host -a irc.stealth.net

See also
ahost

Index, Commands

KVIrc 3.2.0 Documentation
Generated by root at Thu Mar 9 08:43:54 2006